Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.jass.as
Class ActivityIdImpl

    java.lang.Object
      org.objectweb.jass.as.ActivityIdImpl

All Implemented Interfaces:
  javax.activity.GlobalId, java.io.Serializable

public class ActivityIdImpl
extends java.lang.Object
implements javax.activity.GlobalId, java.io.Serializable

Activity identifier representation.

Author:
  fran Date: Feb 16, 2004 org.objectweb.jass.asActivityIdImpl.java
See Also:
  Serialized Form

Constructor Summary
`ActivityIdImpl(byte[] globalId)` Constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compare for equality.
`java.lang.String` | `print()` Returns a byte array representation of the GlobalId.
`byte[]` | `toBytes()` Returns a printable String that identifies the Activity.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivityIdImpl

    public ActivityIdImpl(byte[] globalId)

  Constructor

Parameters:
  `globalId` -

Method Detail

### toBytes

    public byte[] toBytes()

  Returns a printable String that identifies the Activity. This is used for debug and servicability purposes.

  Specified by:
    `toBytes` in interface `javax.activity.GlobalId`
  Returns:
    A printable String that identifies the Activity.

### equals

    public boolean equals(java.lang.Object obj)

  Compare for equality. Instances are considered equal if they are both instances of ActivityIdImpl, and if they have the same global activity id

  Returns:
    true or false

### print

    public java.lang.String print()

  Returns a byte array representation of the GlobalId. This is exactly equivalent to the buffer value of the org.omg.CosActivity.GlobalId which is defined in the OMG Activity service specification as a sequence of octets.

  Specified by:
    `print` in interface `javax.activity.GlobalId`
  Returns:
    a byte array that uniquely identifies the Activity across the namespace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD